%global pkgvers 2
%global scdate0 20221121
%global schash0 50e00f349858091073f7d61ca2853e8dfa4200f4
%global branch0 main
%global source0 https://github.com/enthought/sat-solver.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-simplesat
Version:        0.8.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Simple SAT solvers
BuildArch:      noarch
License:        BSD

URL:            https://github.com/enthought/sat-solver

BuildRequires:  git python3-devel python3-setuptools

%description
Simple SAT solvers for use in Enstaller.


%package -n     python3-simplesat
Summary:        %{summary}
Requires:       okonomiyaki-python3
Provides:       simplesat

%description -n python3-simplesat
Simple SAT solvers for use in Enstaller.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install


%files -n python3-simplesat
%license LICENSE.txt
%doc README.rst docs
%{python3_sitelib}/*


%changelog
* Sun Dec 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
